%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ToolsForCoDa
%global packver   1.0.9
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.9
Release:          1%{?dist}%{?buildtag}
Summary:          Multivariate Tools for Compositional Data Analysis

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 1.8.0
Requires:         R-core >= 1.8.0
BuildArch:        noarch
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-calibrate 
BuildRequires:    R-CRAN-Correlplot 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-calibrate 
Requires:         R-CRAN-Correlplot 

%description
Provides functions for multivariate analysis with compositional data.
Includes a function for doing compositional canonical correlation
analysis.  This analysis requires two data matrices of compositions, which
can be adequately transformed and used as entries in a specialized program
for canonical correlation analysis, that is able to deal with singular
covariance matrices. The methodology is described in Graffelman et al.
(2017) <doi:10.1101/144584>. Functions for log-ratio principal component
analysis with condition number computations and log-ratio discriminant
analysis have been added to the package.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
